#include <bits/stdc++.h>
using namespace std;
char c1,c2;
int a1,a2;
int main(){
    cin>>c1>>c2>>a1>>a2;

        if(a1==a2)
        for(int i=1;i<=a1;i++)
            cout<<c1<<c2;

   else if(a1==a2+1){
        cout<<c1;
        for(int i=1;i<=a2;i++)
            cout<<c2<<c1;}

    else if(a1+1==a2){
        cout<<c2;
        for(int i=1;i<=a1;i++)
            cout<<c1<<c2;}

    else cout<<"nemoguce";


return 0;
}